#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#define EPS 1e-6

int n;
int X[30000],Y[30000];
double xs,ys;
double V[50000][2];


int cmp(const double *a, const double *b) {
  if (a[0]<b[0]-EPS) return -1; 
  if (a[0]>b[0]+EPS) return 1; 
  if (a[1]<b[1]-EPS) return -1;
  if (a[1]>b[1]+EPS) return 1;
  return 0;
}

int Rob() {
  int i;
  for (i=0;i<n;i++) {
    if (fabs(V[2*i][0]-V[2*i+1][0])>EPS) return 0;
    if (fabs(V[2*i][1]-V[2*i+1][1])>EPS) return 0;
  }
  return 1;
}

int main() {
  int i;
  while (1) {
    scanf("%d ",&n);
    if (n==0) break;
    xs=ys=0;
    for (i=0;i<n;i++) {
      scanf("%d %d ",X+i,Y+i);
      xs+=X[i]; ys+=Y[i];
    }
    xs/=n; ys/=n;
    for (i=0;i<n;i++) {
      V[2*i][0]=X[i]-xs;
      V[2*i][1]=Y[i]-ys;
      V[2*i+1][0]=-X[i]+xs;
      V[2*i+1][1]=-Y[i]+ys;
    }
    qsort(V,2*n,2*sizeof(double),cmp);
    if (Rob()) printf("V.I.P. should stay at (%.1f,%.1f).\n",xs,ys);
    else printf("This is a dangerous situation!\n");
  }
  return 0;
}
